Bug 17678 - C4::Acquisition - Replace GetIssues with Koha::Checkouts
Summary: C4::Acquisition - Replace GetIssues with Koha::Checkouts
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Jonathan Druart
QA Contact: Marcel de Rooy
URL:
Whiteboard:
Keywords:
Depends on: 17796
Blocks: 17677
  Show dependency treegraph
 
Reported: 2016-11-25 10:16 UTC by Jonathan Druart
Modified: 2017-12-07 22:16 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 17678: Add tests for CanBookBeIssued + AllowMultipleIssuesOnABiblio (3.88 KB, patch)
2016-11-25 10:20 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 17678: C4::Circulation - Replace GetIssues with Koha::Issues (5.41 KB, patch)
2016-11-25 10:20 UTC, Jonathan Druart
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 17678: Add tests for CanBookBeIssued + AllowMultipleIssuesOnABiblio (3.94 KB, patch)
2016-11-26 08:51 UTC, Josef Moravec
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 17678: C4::Circulation - Replace GetIssues with Koha::Issues (5.48 KB, patch)
2016-11-26 08:51 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 17678: Add tests for CanBookBeIssued + AllowMultipleIssuesOnABiblio (4.02 KB, patch)
2016-12-02 09:10 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 17678: C4::Circulation - Replace GetIssues with Koha::Issues (5.56 KB, patch)
2016-12-02 09:10 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 17678: Typo iss in Circulation.t (1.55 KB, patch)
2016-12-02 09:10 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 17678: Use Koha::Checkouts instead of Koha::Issues (1.45 KB, patch)
2016-12-20 13:45 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2016-11-25 10:16:41 UTC

    
Comment 1 Jonathan Druart 2016-11-25 10:20:32 UTC
Created attachment 57767 [details] [review]
Bug 17678: Add tests for CanBookBeIssued + AllowMultipleIssuesOnABiblio
Comment 2 Jonathan Druart 2016-11-25 10:20:36 UTC
Created attachment 57768 [details] [review]
Bug 17678: C4::Circulation - Replace GetIssues with Koha::Issues

The C4::Circulation::GetIssues subroutine is only called once and can be
replaced with a call to Koha::Isues->search with a join on items.

Test plan:
- Apply first patch and make sure the tests pass
- Apply second patch and make sure the tests still pass
Comment 3 Josef Moravec 2016-11-26 08:51:34 UTC
Created attachment 57777 [details] [review]
[SIGNED-OFF] Bug 17678: Add tests for CanBookBeIssued + AllowMultipleIssuesOnABiblio

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 4 Josef Moravec 2016-11-26 08:51:43 UTC
Created attachment 57778 [details] [review]
[SIGNED-OFF] Bug 17678: C4::Circulation - Replace GetIssues with Koha::Issues

The C4::Circulation::GetIssues subroutine is only called once and can be
replaced with a call to Koha::Isues->search with a join on items.

Test plan:
- Apply first patch and make sure the tests pass
- Apply second patch and make sure the tests still pass

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 5 Marcel de Rooy 2016-12-02 09:10:21 UTC
Created attachment 57903 [details] [review]
Bug 17678: Add tests for CanBookBeIssued + AllowMultipleIssuesOnABiblio

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 6 Marcel de Rooy 2016-12-02 09:10:24 UTC
Created attachment 57904 [details] [review]
Bug 17678: C4::Circulation - Replace GetIssues with Koha::Issues

The C4::Circulation::GetIssues subroutine is only called once and can be
replaced with a call to Koha::Isues->search with a join on items.

Test plan:
- Apply first patch and make sure the tests pass
- Apply second patch and make sure the tests still pass

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 7 Marcel de Rooy 2016-12-02 09:10:28 UTC
Created attachment 57905 [details] [review]
Bug 17678: Typo iss in Circulation.t

Iss should be is.

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 8 Jonathan Druart 2016-12-20 13:45:56 UTC
Created attachment 58294 [details] [review]
Bug 17678: Use Koha::Checkouts instead of Koha::Issues
Comment 9 Kyle M Hall 2016-12-23 11:54:38 UTC
Pushed to master for 17.05, thanks Jonathan!
Comment 10 Katrin Fischer 2016-12-27 22:19:07 UTC
This won't get ported back to 16.11.x as it is an enhancement.